commit:     7b0af34e07c3a190a23c37611c73a2ecf9f1b0c2
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 11 21:40:43 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Nov 11 21:57:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b0af34e

net-libs/signon-oauth2: 0.25 version bump

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/signon-oauth2/Manifest                    |  1 +
 .../files/signon-oauth2-0.25-cxxflags.patch        | 29 ++++++++++++
 .../signon-oauth2-0.25-pkgconfig-libdir.patch      | 14 ++++++
 net-libs/signon-oauth2/signon-oauth2-0.25.ebuild   | 55 ++++++++++++++++++++++
 4 files changed, 99 insertions(+)

diff --git a/net-libs/signon-oauth2/Manifest b/net-libs/signon-oauth2/Manifest
index 050b4e9172a..2950b1955cc 100644
--- a/net-libs/signon-oauth2/Manifest
+++ b/net-libs/signon-oauth2/Manifest
@@ -1 +1,2 @@
 DIST signon-oauth2-0.24.tar.gz 39011 BLAKE2B 
41b672d1f489321b2f93f245530da1e51867eb4f0d1675ba72240f59f5ab7d6d2a079899e1a6dbc63c82bc53e1fab467c6696f5171c98ab00243d5ec9ddd92f4
 SHA512 
8a1e5be7f34419ded7841cb4de62e03ab56556f39ae40e3e11b549d45c6c51edc6888d1aab254c0ba6746d6306bb8b92dd24e473387542d6a987208c20acf6d9
+DIST signon-oauth2-0.25.tar.gz 41090 BLAKE2B 
d14cde073cf834427e337f94345b719ad1af38a285587f987f6ed42f96e8aecfcf63720e42b7f86f2018565c198e1f31b7b75da74c86db3e8a15680da70d3f9e
 SHA512 
721cd514ee0a1175e3b1bbaa78dc1a87fd382327bcbee8356de040f04455f7cc80ed173e3f33a6acf4c0d679847063a25282e9d5c9a9be99f730bec41be96451

diff --git a/net-libs/signon-oauth2/files/signon-oauth2-0.25-cxxflags.patch 
b/net-libs/signon-oauth2/files/signon-oauth2-0.25-cxxflags.patch
new file mode 100644
index 00000000000..ea64d2c8b64
--- /dev/null
+++ b/net-libs/signon-oauth2/files/signon-oauth2-0.25-cxxflags.patch
@@ -0,0 +1,29 @@
+From 94e7cdbe1b15455e932a2272fdf2284fecfb9204 Mon Sep 17 00:00:00 2001
+From: Andreas Sturmlechner <[email protected]>
+Date: Wed, 11 Nov 2020 22:35:06 +0100
+Subject: [PATCH] Disable -Werror, -fno-rtti
+
+Signed-off-by: Andreas Sturmlechner <[email protected]>
+---
+ common-project-config.pri | 5 +----
+ 1 file changed, 1 insertion(+), 4 deletions(-)
+
+diff --git a/common-project-config.pri b/common-project-config.pri
+index e149d90..9c7801a 100644
+--- a/common-project-config.pri
++++ b/common-project-config.pri
+@@ -17,10 +17,7 @@ UI_DIR          = ui
+ UI_HEADERS_DIR  = ui/include
+ UI_SOURCES_DIR  = ui/src
+ 
+-QMAKE_CXXFLAGS += -fno-exceptions \
+-    -fno-rtti
+-# we don't like warnings...
+-unix:QMAKE_CXXFLAGS += -Werror
++QMAKE_CXXFLAGS += -fno-exceptions
+ 
+ TOP_SRC_DIR     = $$PWD
+ 
+-- 
+2.29.2
+

diff --git 
a/net-libs/signon-oauth2/files/signon-oauth2-0.25-pkgconfig-libdir.patch 
b/net-libs/signon-oauth2/files/signon-oauth2-0.25-pkgconfig-libdir.patch
new file mode 100644
index 00000000000..fd61e4c2aed
--- /dev/null
+++ b/net-libs/signon-oauth2/files/signon-oauth2-0.25-pkgconfig-libdir.patch
@@ -0,0 +1,14 @@
+--- a/src/signon-oauth2plugin.pc       2016-06-02 11:44:21.000000000 +0200
++++ b/src/signon-oauth2plugin.pc       2017-11-03 10:57:35.659278702 +0100
+@@ -1,9 +1,9 @@
+ prefix=/usr
+ exec_prefix=${prefix}
+-libdir=${prefix}/lib/
++libdir=${prefix}/@LIBDIR@/
+ includedir=${prefix}/include
+ Name: signon-oauth2plugin
+ Description: Signon OAuth 2.0 plugin
+ Version: 0.0.1
+ Requires: signon-plugins
+-Libs.private: -L/usr/lib  -lQtCore
++Libs.private: -L/usr/@LIBDIR@  -lQtCore

diff --git a/net-libs/signon-oauth2/signon-oauth2-0.25.ebuild 
b/net-libs/signon-oauth2/signon-oauth2-0.25.ebuild
new file mode 100644
index 00000000000..76e60e083a2
--- /dev/null
+++ b/net-libs/signon-oauth2/signon-oauth2-0.25.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN=signon-plugin-oauth2
+MY_PV=VERSION_${PV}
+MY_P=${MY_PN}-${MY_PV}
+inherit qmake-utils
+
+DESCRIPTION="OAuth2 plugin for Signon daemon"
+HOMEPAGE="https://gitlab.com/accounts-sso/signon-plugin-oauth2";
+SRC_URI="https://gitlab.com/accounts-sso/${MY_PN}/-/archive/${MY_PV}/${MY_P}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtnetwork:5[ssl]
+       net-libs/signond
+"
+DEPEND="${RDEPEND}
+       test? ( dev-qt/qttest:5 )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+       # downstream patches
+       "${FILESDIR}/${PN}-0.24-dont-install-tests.patch"
+       "${FILESDIR}/${P}-pkgconfig-libdir.patch"
+       "${FILESDIR}/${P}-cxxflags.patch"
+)
+
+src_prepare() {
+       default
+       sed -i "s|@LIBDIR@|$(get_libdir)|g" src/signon-oauth2plugin.pc || die
+}
+
+src_configure() {
+       local myqmakeargs=(
+               LIBDIR=/usr/$(get_libdir)
+       )
+       use test || myqmakeargs+=( CONFIG+=nomake_tests )
+
+       eqmake5 "${myqmakeargs[@]}"
+}
+
+src_install() {
+       emake INSTALL_ROOT="${D}" install
+}

Reply via email to